Tried to install Brave on Windows server 2008 32 bit

Not possible to install on server 2008/32 - maybe it is not supported and never will be on this old version. Firefox up to version 52 works …

Definitely not officially supported, I’m afraid!